curl --request GET \
--url https://demo.enneo.ai/api/mind/aiAgents/samples \
--header 'Authorization: Bearer <token>'[
{
"id": 1,
"tagId": 41,
"channels": [
"all"
],
"name": "Change bank data (Code)",
"description": "Customer wants to change his bank data",
"appearance": {},
"exampleTicketIds": [
8,
26
],
"settings": {}
}
]Returns all sample AI agents from the enneo admin portal, without any environment or category filtering. Each agent includes additional includedInSeeds and category metadata fields.
curl --request GET \
--url https://demo.enneo.ai/api/mind/aiAgents/samples \
--header 'Authorization: Bearer <token>'[
{
"id": 1,
"tagId": 41,
"channels": [
"all"
],
"name": "Change bank data (Code)",
"description": "Customer wants to change his bank data",
"appearance": {},
"exampleTicketIds": [
8,
26
],
"settings": {}
}
]JWT-based authentication
Successful operation
Unique identifier of the AI agent (unsigned integer)
x >= 01
Category of this ai agent
41
Channels this ai agent is available on
["all"]The name of the AI agent visible to the user. It is also used by the LLM to validate if the intent is correctly identified
"Change bank data (Code)"
The description of the AI agent as defined by the user. It is also used by the LLM to validate if the intent is correctly identified
"Customer wants to change his bank data"
[8, 26]